# ratio File Reference

Go to the source code of this file.

## Classes

- struct std::ratio< _Num, _Den >
    Provides compile-time rational arithmetic. More...
- struct std::ratio_add< _R1, _R2 >
    ratio_add More...
- struct std::ratio_divide< _R1, _R2 >
    ratio_divide More...
- struct std::ratio_equal< _R1, _R2 >
    ratio_equal More...
- struct std::ratio_greater< _R1, _R2 >
    ratio_greater More...
- struct std::ratio_greater_equal< _R1, _R2 >
    ratio_greater_equal More...
- struct std::ratio_less< _R1, _R2 >
    ratio_less More...
- struct std::ratio_less_equal< _R1, _R2 >
    ratio_less_equal More...
- struct std::ratio_multiply< _R1, _R2 >
    ratio_multiply More...
- struct std::ratio_not_equal< _R1, _R2 >
    ratio_not_equal More...
- struct std::ratio_subtract< _R1, _R2 >
    ratio_subtract More...

## Namespaces

- namespace std

## Typedefs

- typedef ratio< 1, 1000000000000000000 > std::atto
- typedef ratio< 1, 100 > std::centi
- typedef ratio< 10, 1 > std::deca
- typedef ratio< 1, 10 > std::deci
- typedef ratio< 1000000000000000000, 1 > std::exa
- typedef ratio< 1, 1000000000000000 > std::femto
- typedef ratio< 1000000000, 1 > std::giga
- typedef ratio< 100, 1 > std::hecto
- typedef ratio< 1000, 1 > std::kilo
- typedef ratio< 1000000, 1 > std::mega
- typedef ratio< 1, 1000000 > std::micro
- typedef ratio< 1, 1000 > std::milli
- typedef ratio< 1, 1000000000 > std::nano
- typedef ratio< 1000000000000000, 1 > std::peta
- typedef ratio< 1, 1000000000000 > std::pico
- typedef ratio< 1000000000000, 1 > std::tera

## Detailed Description

This is a Standard C++ Library header.

Definition in file ratio.